[CentOS] Installing kernel RHEL-5.3 on CentOS 5.2 (x86_64)

Tosh toshlinux at gmail.com
Wed Jan 14 09:05:03 UTC 2009


> nate wrote:
>> Marcelo M. Garcia wrote:
>>> Hi
>>>
>>> I tried to install the kernel Red Hat 5.3 x86_64 (2.6.18-128.el5.x86_64)
>>> with the command:
>>>    rpm -Uvh kernel-2.6.18-128.el5.x86_64.rpm
>>> but there is problem with dependecy: ecryptfs-util<  44. How to solve
>>> problems with depencies when installing a beta kernel?
>>>
>>> I'm trying this kernel to see if I get CentOS working with the wireless
>>> iw4965. I tried the drivers from Intel, but the compilation failed.
>>
>> It seems that ecryptfs-util is filesystem specific, and that's not
>> a default filesystem in linux, so you should be safe in forcing the
>> rpm to install (--nodeps --force or something).
I can confirm this, just use --nodeps (please read remark below prior to 
doing this, as said use rpm -ivh --nodeps)
I am running it successfully on my desktop.

Akemi Yagi wrote:
> On Tue, Jan 13, 2009 at 4:12 PM, Marcelo M. Garcia
> <marcelo.maia.garcia at googlemail.com>  wrote:
>> Hi
>>
>> I tried to install the kernel Red Hat 5.3 x86_64 (2.6.18-128.el5.x86_64)
>> with the command:
>>   rpm -Uvh kernel-2.6.18-128.el5.x86_64.rpm
>
> DO NOT use the -U option when installing the kernel.  Use -ivh instead.
Yes, the U option would update the kernels, making all other older 
versions of your kernel disappear, if the kernel would not load, you 
will not be able to load in an older version


More information about the CentOS mailing list